bm::sse_empty_guard Class Reference
SSE2 functions

SSE2 reinitialization guard class. More...

`#include <bmsse_util.h>`

## Public Member Functions

BMFORCEINLINE | sse_empty_guard () BMNOEXCEPT
BMFORCEINLINE | ~sse_empty_guard () BMNOEXCEPT

## Detailed Description

SSE2 reinitialization guard class.

SSE2 requires to call _mm_empty() if we are intermixing MMX integer commands with floating point arithmetics. This class guards critical code fragments where SSE2 integer is used.

As of 2015 _mm_empty() is considered deprecated, and not even recognised by some compilers (like MSVC) in 64-bit mode. As MMX instructions gets old, we here deprecate and comment out use of _mm_empty()

Definition at line 55 of file bmsse_util.h.

## Constructor & Destructor Documentation

## sse_empty_guard()

BMFORCEINLINE bm::sse_empty_guard::sse_empty_guard | ( |  | ) |

inline

Definition at line 58 of file bmsse_util.h.

References BMFORCEINLINE, and BMNOEXCEPT.

## ~sse_empty_guard()

BMFORCEINLINE bm::sse_empty_guard::~sse_empty_guard | ( |  | ) |

inline

Definition at line 63 of file bmsse_util.h.

References BMFORCEINLINE, and BMNOEXCEPT.

The documentation for this class was generated from the following file:

- bmsse_util.h